Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.xml
Class DocumentDefaultsDefinition

    java.lang.Object
      org.springframework.beans.factory.xml.DocumentDefaultsDefinition

All Implemented Interfaces:
  BeanMetadataElement, DefaultsDefinition

    public class DocumentDefaultsDefinition

extends java.lang.Object
implements DefaultsDefinition

Simple JavaBean that holds the defaults specified at the `<beans>` level in a standard Spring XML bean definition document: `default-lazy-init`, `default-autowire`, etc.

Since:
  2.0.2
Author:
  Juergen Hoeller

Constructor Summary
`DocumentDefaultsDefinition()`

Method Summary
`java.lang.String` | `getAutowire()` Return the default autowire setting for the document that's currently parsed.
`java.lang.String` | `getAutowireCandidates()` Return the default autowire-candidate pattern for the document that's currently parsed.
`java.lang.String` | `getDependencyCheck()` Return the default dependency-check setting for the document that's currently parsed.
`java.lang.String` | `getDestroyMethod()` Return the default destroy-method setting for the document that's currently parsed.
`java.lang.String` | `getInitMethod()` Return the default init-method setting for the document that's currently parsed.
`java.lang.String` | `getLazyInit()` Return the default lazy-init flag for the document that's currently parsed.
`java.lang.String` | `getMerge()` Return the default merge setting for the document that's currently parsed.
`java.lang.Object` | `getSource()` Return the configuration source `Object` for this metadata element (may be `null`).
`void` | `setAutowire(java.lang.String autowire)` Set the default autowire setting for the document that's currently parsed.
`void` | `setAutowireCandidates(java.lang.String autowireCandidates)` Set the default autowire-candidate pattern for the document that's currently parsed.
`void` | `setDependencyCheck(java.lang.String dependencyCheck)` Set the default dependency-check setting for the document that's currently parsed.
`void` | `setDestroyMethod(java.lang.String destroyMethod)` Set the default destroy-method setting for the document that's currently parsed.
`void` | `setInitMethod(java.lang.String initMethod)` Set the default init-method setting for the document that's currently parsed.
`void` | `setLazyInit(java.lang.String lazyInit)` Set the default lazy-init flag for the document that's currently parsed.
`void` | `setMerge(java.lang.String merge)` Set the default merge setting for the document that's currently parsed.
`void` | `setSource(java.lang.Object source)` Set the configuration source `Object` for this metadata element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentDefaultsDefinition

    public DocumentDefaultsDefinition()

Method Detail

### setLazyInit

    public void setLazyInit(java.lang.String lazyInit)

  Set the default lazy-init flag for the document that's currently parsed.

### getLazyInit

    public java.lang.String getLazyInit()

  Return the default lazy-init flag for the document that's currently parsed.

### setMerge

    public void setMerge(java.lang.String merge)

  Set the default merge setting for the document that's currently parsed.

### getMerge

    public java.lang.String getMerge()

  Return the default merge setting for the document that's currently parsed.

### setAutowire

    public void setAutowire(java.lang.String autowire)

  Set the default autowire setting for the document that's currently parsed.

### getAutowire

    public java.lang.String getAutowire()

  Return the default autowire setting for the document that's currently parsed.

### setDependencyCheck

    public void setDependencyCheck(java.lang.String dependencyCheck)

  Set the default dependency-check setting for the document that's currently parsed.

### getDependencyCheck

    public java.lang.String getDependencyCheck()

  Return the default dependency-check setting for the document that's currently parsed.

### setAutowireCandidates

    public void setAutowireCandidates(java.lang.String autowireCandidates)

  Set the default autowire-candidate pattern for the document that's currently parsed. Also accepts a comma-separated list of patterns.

### getAutowireCandidates

    public java.lang.String getAutowireCandidates()

  Return the default autowire-candidate pattern for the document that's currently parsed. May also return a comma-separated list of patterns.

### setInitMethod

    public void setInitMethod(java.lang.String initMethod)

  Set the default init-method setting for the document that's currently parsed.

### getInitMethod

    public java.lang.String getInitMethod()

  Return the default init-method setting for the document that's currently parsed.

### setDestroyMethod

    public void setDestroyMethod(java.lang.String destroyMethod)

  Set the default destroy-method setting for the document that's currently parsed.

### getDestroyMethod

    public java.lang.String getDestroyMethod()

  Return the default destroy-method setting for the document that's currently parsed.

### setSource

    public void setSource(java.lang.Object source)

  Set the configuration source `Object` for this metadata element.

  The exact type of the object will depend on the configuration mechanism used.

### getSource

    public java.lang.Object getSource()

  Description copied from interface: `BeanMetadataElement`
  Return the configuration source `Object` for this metadata element (may be `null`).

  Specified by:
    `getSource` in interface `BeanMetadataElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD